<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de Metalsa tipo MPNP :: By Daniel Herrera Tello.    -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:MPNP="http://www.metalsa.com.mx/Addenda/MPNP">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="MPNP:factura">
			<xsl:attribute name="tipoDocumento">MPNP</xsl:attribute>
			<xsl:variable name="tpodoc" select="Datos/Documento/@TipoDocumento"/>
			<xsl:attribute name="tipoDocumentoFiscal">
				<xsl:choose>
					<xsl:when test="$tpodoc = 0">
						<xsl:text>FA</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 1">
						<xsl:text>FA</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 2">
						<xsl:text>CR</xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="version">1.0</xsl:attribute>
			<xsl:if test="Datos/CFD/@Serie !=''">
				<xsl:attribute name="serie">
					<xsl:value-of select="Datos/CFD/@Serie"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="folioFiscal">
				<xsl:value-of select="Datos/CFD/@Folio"/>
			</xsl:attribute>
			<xsl:attribute name="fecha">
				<xsl:value-of select="substring(Datos/CFD/@Fecha,1,10)"/>
			</xsl:attribute>
			<xsl:if test="Datos/Documento/XMLAddenda/Documento/@RefProv !=''">
				<xsl:attribute name="referenciaProveedor">
					<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@RefProv"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="Datos/Documento/XMLAddenda/Documento/@Cancela !=''">
				<xsl:element name="MPNP:cancelaciones">
					<xsl:attribute name="cancelaSustituye">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@Cancela"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:if>
			<xsl:element name="MPNP:moneda">
				<xsl:attribute name="tipoMoneda">
					<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>EUR</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="MPNP:proveedor">
				<xsl:attribute name="codigo">
					<xsl:value-of select="Datos/Emisor/@RFC"/>
				</xsl:attribute>
				<xsl:attribute name="nombre">
					<xsl:value-of select="substring(Datos/Emisor/@Nombre,1,35)"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="MPNP:destino">
				<xsl:attribute name="codigo">
					<xsl:value-of select="Datos/Receptor/Destino/@noLclGlobal"/>
				</xsl:attribute>
				<xsl:attribute name="nombre">
					<xsl:value-of select="substring(Datos/Receptor/Destino/@Nombre,1,35)"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:if test="Datos/Documento/XMLAddenda/Documento/@Nota !=''">
				<xsl:element name="MPNP:nota">
					<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@Nota"/>
				</xsl:element>
			</xsl:if>
			<xsl:element name="MPNP:archivo">
				<xsl:attribute name="archivo">
					<xsl:value-of select="Datos/Documento/Archivos/Archivo/@Contenido"/>
				</xsl:attribute>
				<xsl:attribute name="tipoArchivo">
					<xsl:value-of select="Datos/Documento/Archivos/Archivo/@Extension"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="MPNP:cuentaCorreo">
				<xsl:attribute name="cuentaCorreo">
					<xsl:value-of select="Datos/Receptor/@Email"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:if test="$tpodoc = 2">
				<xsl:element name="MPNP:cargosCreditos">
					<xsl:if test="Datos/Documento/XMLAddenda/Documento/@DescripcionCredito !=''">
						<xsl:attribute name="descripcionCredito">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@DescripcionCredito"/>
						</xsl:attribute>
					</xsl:if>
					<xsl:if test="Datos/Documento/XMLAddenda/Documento/@CreditoMontoLinea &gt; 0">
						<xsl:attribute name="montoLinea">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@CreditoMontoLinea"/>
						</xsl:attribute>
					</xsl:if>
					<xsl:if test="Datos/Documento/XMLAddenda/Documento/@RefFactura !=''">
						<xsl:attribute name="factura">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@RefFactura"/>
						</xsl:attribute>
					</xsl:if>
				</xsl:element>
			</xsl:if>
			<xsl:element name="MPNP:segmentoProducto">
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/@SegmentoProd !=''">
					<xsl:attribute name="segmentoProducto">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@SegmentoProd"/>
					</xsl:attribute>
				</xsl:if>
			</xsl:element>
			<xsl:element name="MPNP:partes">
				<xsl:for-each select="Datos/Documento/Partidas/Partida">
					<xsl:element name="MPNP:part">
						<xsl:attribute name="numeroLinea">
							<xsl:choose>
								<xsl:when test="./XMLAddenda/Partida/@NumeroLineaOrden !=''">
									<xsl:value-of select="./XMLAddenda/Partida/@NumeroLineaOrden"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="position()"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="numeroParte">
							<xsl:value-of select="@CodigoBarras"/>
						</xsl:attribute>
						<xsl:attribute name="cantidad">
							<xsl:value-of select="@Cantidad"/>
						</xsl:attribute>
						<xsl:attribute name="unidadMedida">
							<xsl:choose>
								<xsl:when test="substring(@UnidadMedida,1,1) = 0">
									<xsl:value-of select="substring(@UnidadMedida,2,3)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@UnidadMedida"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="precioUnitario">
							<xsl:value-of select="@PrecioBruto"/>
						</xsl:attribute>
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@NumeroRecibo !=''">
								<xsl:attribute name="fechaRecibo">
									<xsl:value-of select="concat(substring(./XMLAddenda/Partida/@FechaRecibo,7,4),'-',substring(./XMLAddenda/Partida/@FechaRecibo,4,2),'-',substring(./XMLAddenda/Partida/@FechaRecibo,1,2))"/>
								</xsl:attribute>
								<xsl:attribute name="numeroRecibo">
									<xsl:value-of select="substring(./XMLAddenda/Partida/@NumeroRecibo,1,10)"/>
								</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="fechaRecibo">
									<xsl:value-of select="substring(/Datos/Documento/RecibosMercancia/ReciboMercancia/@Fecha,1,10)"/>
								</xsl:attribute>
								<xsl:attribute name="numeroRecibo">
									<xsl:value-of select="substring(/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio,1,10)"/>
								</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="descripcion">
							<xsl:value-of select="@Descripcion"/>
						</xsl:attribute>
						<xsl:attribute name="ordencompra">
							<xsl:choose>
								<xsl:when test="./XMLAddenda/Partida/@OrdenCompra !=''">
									<xsl:value-of select="substring(./XMLAddenda/Partida/@OrdenCompra,1,10)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring(/Datos/Documento/OrdenesCompra/OrdenCompra/@No,1,10)"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</xsl:element>
					<xsl:if test="./XMLAddenda/Partida/@Nota !=''">
						<xsl:element name="MPNP:nota">
							<xsl:value-of select="./XMLAddenda/Partida/@Nota"/>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>